Problem with Shingle Token Filter with ES 0.19.0?


(Sam-4) #1

Hi All

Currently i am using elastic server 0.19.0.I am using following analyzer
setting for index and search analyzer.analyzer setting gist :
https://gist.github.com/2027964 .
as well as server log gist https://gist.github.com/2027994 .I was used
this setting on elastic server 0.16.2 and it work nicely without any
exception but new version of elastic server throws exception,please help
there is some upgradation for using Shingle Token Filter.

Thanks


(Clinton Gormley) #2

Hiya

Currently i am using elastic server 0.19.0.I am
using following analyzer setting for index and search
analyzer.analyzer setting gist : https://gist.github.com/2027964 .
as well as server log gist https://gist.github.com/2027994 .I was
used this setting on elastic server 0.16.2 and it work nicely without
any exception but new version of elastic server throws
exception,please help there is some upgradation for using Shingle
Token Filter.

This thread might help:
http://elasticsearch-users.115913.n3.nabble.com/problem-upgrading-elasticsearch-0-16-2-to-elasticsearch-0-18-7-td3749916.html

clint

Thanks


(Sam-4) #3

Thanks For reply.

I have checked that there is one copy of the jar. Used Lucene version 3.5
I am using the jars for my project obtained from elasticsearch-0.19.0/lib

sam

On Tuesday, March 13, 2012 3:59:20 PM UTC+5:30, Clinton Gormley wrote:

Hiya

Currently i am using elastic server 0.19.0.I am
using following analyzer setting for index and search
analyzer.analyzer setting gist : https://gist.github.com/2027964 .
as well as server log gist https://gist.github.com/2027994 .I was
used this setting on elastic server 0.16.2 and it work nicely without
any exception but new version of elastic server throws
exception,please help there is some upgradation for using Shingle
Token Filter.

This thread might help:

http://elasticsearch-users.115913.n3.nabble.com/problem-upgrading-elasticsearch-0-16-2-to-elasticsearch-0-18-7-td3749916.html

clint

Thanks

On Tuesday, March 13, 2012 3:59:20 PM UTC+5:30, Clinton Gormley wrote:

Hiya

Currently i am using elastic server 0.19.0.I am
using following analyzer setting for index and search
analyzer.analyzer setting gist : https://gist.github.com/2027964 .
as well as server log gist https://gist.github.com/2027994 .I was
used this setting on elastic server 0.16.2 and it work nicely without
any exception but new version of elastic server throws
exception,please help there is some upgradation for using Shingle
Token Filter.

This thread might help:

http://elasticsearch-users.115913.n3.nabble.com/problem-upgrading-elasticsearch-0-16-2-to-elasticsearch-0-18-7-td3749916.html

clint

Thanks


(Sam-4) #4

I want to add more details about included jar :

1).elasticsearch-0.19.0
2).jna-3.3.0
3).log4j-1.2.16
4).lucene-analyzers-3.5.0
5).lucene-core-3.5.0
6). lucene-highlighter-3.5.0
7).lucene-memory-3.5.0
8).lucene-queries-3.5.0

also include complete detailed ES log on attachment.what i believed that
this not a problem of multiple copies of same jar file,may be other reason
on behind that throw this exception.please help me solve this problem.

Thanks

On Tuesday, March 13, 2012 6:10:36 PM UTC+5:30, sam wrote:

Thanks For reply.

I have checked that there is one copy of the jar. Used Lucene version 3.5
I am using the jars for my project obtained from elasticsearch-0.19.0/lib

sam

On Tuesday, March 13, 2012 3:59:20 PM UTC+5:30, Clinton Gormley wrote:

Hiya

Currently i am using elastic server 0.19.0.I am
using following analyzer setting for index and search
analyzer.analyzer setting gist : https://gist.github.com/2027964 .
as well as server log gist https://gist.github.com/2027994 .I was
used this setting on elastic server 0.16.2 and it work nicely without
any exception but new version of elastic server throws
exception,please help there is some upgradation for using Shingle
Token Filter.

This thread might help:

http://elasticsearch-users.115913.n3.nabble.com/problem-upgrading-elasticsearch-0-16-2-to-elasticsearch-0-18-7-td3749916.html

clint

Thanks

On Tuesday, March 13, 2012 3:59:20 PM UTC+5:30, Clinton Gormley wrote:

Hiya

Currently i am using elastic server 0.19.0.I am
using following analyzer setting for index and search
analyzer.analyzer setting gist : https://gist.github.com/2027964 .
as well as server log gist https://gist.github.com/2027994 .I was
used this setting on elastic server 0.16.2 and it work nicely without
any exception but new version of elastic server throws
exception,please help there is some upgradation for using Shingle
Token Filter.

This thread might help:

http://elasticsearch-users.115913.n3.nabble.com/problem-upgrading-elasticsearch-0-16-2-to-elasticsearch-0-18-7-td3749916.html

clint

Thanks


(Shay Banon) #5

It seems like a versioning problem and having possibly other jars in there...

On Tuesday, March 13, 2012 at 12:24 PM, sam wrote:

Hi All

Currently i am using elastic server 0.19.0.I am using following analyzer setting for index and search analyzer.analyzer setting gist : https://gist.github.com/2027964 .
as well as server log gist https://gist.github.com/2027994 .I was used this setting on elastic server 0.16.2 and it work nicely without any exception but new version of elastic server throws exception,please help there is some upgradation for using Shingle Token Filter.

Thanks


(Sam-4) #6

can you please tell me which other jars file I should use/replace.

On Wednesday, March 14, 2012 6:03:54 PM UTC+5:30, kimchy wrote:

It seems like a versioning problem and having possibly other jars in
there...

On Tuesday, March 13, 2012 at 12:24 PM, sam wrote:

Hi All

Currently i am using elastic server 0.19.0.I am using following analyzer
setting for index and search analyzer.analyzer setting gist :
https://gist.github.com/2027964 .
as well as server log gist https://gist.github.com/2027994 .I was used
this setting on elastic server 0.16.2 and it work nicely without any
exception but new version of elastic server throws exception,please help
there is some upgradation for using Shingle Token Filter.

Thanks


(system) #7